#ifndef ETMOBILETEST_H
#define ETMOBILETEST_H

#include <QWidget>
#include "CHttpBll.h"
#include "CWebsocketProc.h"

namespace Ui {
class etMobileTest;
}

class etMobileTest : public QWidget
{
    Q_OBJECT

public:
    explicit etMobileTest(QWidget *parent = nullptr);
    ~etMobileTest();

    int setUI(const int nLeft, const int nTop, const int nWidth);
    int widgetHeight();
    int getCheckStatus();//0:false 1:true 2:未检测
private slots:
	void onGetWXQrCode(CGetWXQrCode getWXQrCode);

    void onMobileStatus(__int64 nExamRecordDataId, int nOrder, QString sScanStatus);
    void onFileAnswer(__int64 nExamRecordDataId, int nOrder, QString sFileType, QString sFileUrl);
	void onSaveUploadedFileAcknowledgeStatus(CSaveUploadedFileAcknowledgeStatus saveUploadedFileAcknowledgeStatus);

    void on_btn_etmt_canotScan_clicked();
    void on_btn_etmt_uploadFaild_clicked();
private:
    Ui::etMobileTest *ui;

    int m_nUploadStatus;
};

#endif // ETMOBILETEST_H
